
# bdxpy

**bdxpy** is a Python package designed to interface with BuildingLogiX Data Exchange (BDX), a building analytics platform developed by BuildingLogiX.

## Key Features

- **Access BDX trends and analytics**: Enables access to building information, trended data, equipment scores and energy analytics.
- **Handles BDX authentication**: Hides the complexity of BDX authentication and authorization mechanisms.
- **Provides data in native format**: Data series retrieved from BDX are available in Pandas DataFrame format, which enables intuitive processing in Python.

## Installation

Install the package using pip:

```bash
pip install bdxpy
```

## Usage

```python
import bdx

# Example usage here, showing how bdxpy facilitates data retrieval, integration, or analytics.
```

## Requirements

This package requires Python 3.6+ and the following dependencies:
- `requests`
- `pandas`
- `nacl`
- `urllib3`
- `dacite`
  
## License

This package is distributed under a proprietary license. Contact BuildingLogiX for licensing information.

---

Learn more about BuildingLogiX Data Exchange (BDX) [here](https://buildinglogix.net/connected-buildings/buildinglogix-data-exchange-bdx/).
